package com.njcn.system.enums;

import lombok.Getter;

/**
 * @author hongawen
 * @version 1.0.0
 * @date 2021年12月20日 09:56
 */
@Getter
public enum SystemResponseEnum {

    /**
     * 系统模块异常响应码的范围：
     * A00350 ~ A00449
     */
    SYSTEM_COMMON_ERROR("A00350","系统模块异常"),
    DICT_TYPE_NAME_REPEAT("A00351", "字典类型名称重复"),
    DICT_DATA_NAME_REPEAT("A00352", "字典数据名称重复"),
    AREA_CODE_REPEAT("A00353","行政区域编码重复"),
    LOAD_TYPE_EMPTY("A00354","用能负荷数据为空"),
    LINE_MARK_EMPTY("A00355","字典监测点评分等级数据为空"),
    VOLTAGE_EMPTY("A00356","查询字典电压等级数据为空"),

    INTERFERENCE_EMPTY("A00356","查询字典干扰源类型数据为空"),
    BUSINESS_EMPTY("A00356","查询字典行业类型数据为空"),
    DEV_TYPE_EMPTY("A00357","查询字典设备类型数据为空"),
    MANUFACTURER("A00358","查询字典终端厂家数据为空"),
    DEV_VARIETY("A00359","查询字典终端类型数据为空"),

    /*pms*/
    LINE_TYPE_VARIETY_EMPTY("A00360","查询字典监测点类型数据为空"),
    LINE_STATE_EMPTY("A00361","查询字典监测点状态为空"),
    LINE_TYPE_EMPTY("A00362","查询字典监测点类型状态为空"),
    POTENTIAL_TYPE_EMPTY("A00363","查询字典电压互感器类型为空"),
    Neutral_Mode_EMPTY("A00364","查询字典中性点接地方式为空"),
    MONITOR_TAG_EMPTY("A00365","查询字典监测点标签类型为空"),
    MONITORY_TYPE_EMPTY("A00366","查询字典监测对象类型为空"),
    TERMINAL_WIRING_EMPTY("A00367","查询字典监测终端接线方式为空"),
    MONITOR_TYPE_EMPTY("A00368","查询字典监测点类别为空"),
    ACTIVATED_STATE("A00369","必须存在一个已激活的系统类型"),
    ADVANCE_REASON("A00370","查询字典暂降原因为空"),



    EVENT_REPORT_REPEAT("A00361","暂态报告模板重复"),

    ;

    private final String code;

    private final String message;

    SystemResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
